#include <stdbool.h>
#include <stddef.h>
#include "io430.h"
#include "my_io.h"
#include "display02.h"

enum Operation {add, subtract, multiply, divide};
typedef enum Operation Operation;
static char *operationNames[] = {"plus", "minus", "mal", "geteilt"};

int main(void)
{
  initialize();

  while(true)
  {
    writeStringAndWait("Zahl 1:");
    int z1 = getNumber(100, NULL);
    
    writeStringAndWait("Rechne:");
    Operation op = (Operation)getNumber(3, operationNames);
    
    writeStringAndWait("Zahl 2:");
    int z2 = getNumber(100, NULL);
    
    int result = -999;
    switch(op)
    {
    case add:
      result = z1 + z2;
      break;
    case subtract:
      result = z1 - z2;
      break;
    case multiply:
      result = z1 * z2;
      break;
    case divide:
      result = z1 / z2;
      break;        
    }
    writeString("Ergibt:");
    waitMilliseconds(500);
    if(result >= 0)
    {
      writeNumber(result);      
    }
    else
    {
      writeString("negativ");
    }
    waitMilliseconds(2000);
  }
  
  // berflssig wegen Endlosschleife:
  // return 0;
}